[Deprecated]: v1.0
post
/ec-ors-svc/rest/v1.0/studies/{studyId}/{mode}/sites/{siteId}/shipments/{shipmentId}/received/kits
Deprecated: Use latest version instead. Adds additional kits to a received shipment in the system. Rights: OrsSupplyManagerPost and OrsBlinded.
Request
Path Parameters
-
mode(required): string
Indicates the operational mode of the study. Accepted values: active, test, or training.Example:
test -
shipmentId(required): string(uuid)
ID of the shipment.Example:
C36A3197FDEE433FB5547EE83DE99E4B -
siteId(required): string
Unique identifier of the site. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
B1B8327AFAA6412287106192AB5984EF -
studyId(required): string(uuid)
Unique identifier of the study. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
C36A3197FDEE433FB5547EE83DE99E4B
Supported Media Types
- */*
Root Schema : schema
Type:
objectRequest object containing kits to be added to shipment.
Show Source
-
kits(required): array
kits
Minimum Number of Items:
1Contains kit IDs -
nsKits: array
nsKits
Contains kit IDs.
-
shipmentId: string
(uuid)
ID of the shipment.
Nested Schema : kits
Type:
arrayMinimum Number of Items:
1Contains kit IDs
Show Source
Example:
[
"E39FF55A445543A38D513325664F0B2D"
]Nested Schema : nsKits
Type:
arrayContains kit IDs.
Show Source
-
Array of:
object ShipmentAddNonSerializedKitRequest
Request object containing non serialized kits to be added to shipment.
Example:
[
{
"lotId":"C36A3197FDEE433FB5547EE83DE99E4B",
"kitTypeSrcId":"D313327EF13845169A8ADADDA435431E",
"quantity":24
}
]Nested Schema : ShipmentAddNonSerializedKitRequest
Type:
objectRequest object containing non serialized kits to be added to shipment.
Show Source
-
kitTypeSrcId: string
(uuid)
ID OF THE KIT
-
lotId: string
(uuid)
ID of the lot.
-
quantity(required): number
(BigDecimal)
Minimum Value:
1Maximum Value:9999Quantity of kitsExample:24
Example:
{
"lotId":"C36A3197FDEE433FB5547EE83DE99E4B",
"kitTypeSrcId":"D313327EF13845169A8ADADDA435431E",
"quantity":24
}Response
Supported Media Types
- application/json
200 Response
Successful operation
Root Schema : schema
Type:
string(uuid)Examples
400 Response
'Invalid kit', 'Invalid shipment status value'
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
objectExamples
404 Response
'Invalid study ID', 'Study still in Draft (design phase)', 'Invalid shipment ID'
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
objectExamples
500 Response
Internal server error
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
objectExamples